package de.w665.sharepulse.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.gson.annotations.SerializedName;
import lombok.*;

import java.util.Date;

@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class FileUpload {
    private String id;
    private String fileId;
    private String fileName;
    private long fileSize;
    private boolean singleDownload;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "dd-MM-yyyy HH:mm:ss", timezone = "CET")
    private Date uploadDate;
    private String uploadedByIpAddress;
    private long downloadCount;
    private String fileDescription;
    private boolean passwordProtected;
    private String downloadPassword;
}
